Bug 1264530 - blivet.errors.DeviceError: ('cannot replace active format', 'sda4')
blivet.errors.DeviceError: ('cannot replace active format', 'sda4')
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:92fd4000845c6d6d12f06ba3aac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 13:15 EDT by LiZhenbo
Modified: 2016-12-20 09:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:40:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (791.68 KB, text/plain)
2015-09-18 13:15 EDT, LiZhenbo
no flags Details
File: anaconda.log (93.41 KB, text/plain)
2015-09-18 13:15 EDT, LiZhenbo
no flags Details
File: environ (636 bytes, text/plain)
2015-09-18 13:15 EDT, LiZhenbo
no flags Details
File: journalctl (298.48 KB, text/plain)
2015-09-18 13:16 EDT, LiZhenbo
no flags Details
File: lsblk_output (3.82 KB, text/plain)
2015-09-18 13:16 EDT, LiZhenbo
no flags Details
File: nmcli_dev_list (1.53 KB, text/plain)
2015-09-18 13:16 EDT, LiZhenbo
no flags Details
File: os_info (451 bytes, text/plain)
2015-09-18 13:16 EDT, LiZhenbo
no flags Details
File: program.log (68.99 KB, text/plain)
2015-09-18 13:16 EDT, LiZhenbo
no flags Details
File: storage.log (260.82 KB, text/plain)
2015-09-18 13:16 EDT, LiZhenbo
no flags Details
File: ifcfg.log (2.42 KB, text/plain)
2015-09-18 13:16 EDT, LiZhenbo
no flags Details

  None (edit)
Description LiZhenbo 2015-09-18 13:15:41 EDT
Description of problem:
1. Try to install Fedora 23 Alpha, manual partition
2. Choose sda4
3. Try to format it 

Version-Release number of selected component:
anaconda-core-23.17-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.17-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/blivet/devices/storage.py", line 697, in _setFormat
    raise errors.DeviceError("cannot replace active format", self.name)
  File "/usr/lib/python3.4/site-packages/blivet/devices/storage.py", line 742, in <lambda>
    lambda d,f: d._setFormat(f),
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 861, in _do_reformat
    device.format = old_format
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 135, in decorated
    return func(*args, **kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1205, in _save_right_side
    encrypted, selector, fs_type)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2212, in _save_current_selector
    self._save_right_side(self._current_selector)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2223, in on_selector_clicked
    self._save_current_selector()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 233, in _onSelectorClicked
    cb(selector)
blivet.errors.DeviceError: ('cannot replace active format', 'sda4')

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-KDE-x86_64-23_A-2 ro rd.live.image quiet rhgb
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64
other involved packages: anaconda-gui-23.17-1.fc23.x86_64, python3-blivet-1.10-1.fc23.noarch
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 LiZhenbo 2015-09-18 13:15:55 EDT
Created attachment 1075008 [details]
File: anaconda-tb
Comment 2 LiZhenbo 2015-09-18 13:15:57 EDT
Created attachment 1075009 [details]
File: anaconda.log
Comment 3 LiZhenbo 2015-09-18 13:15:58 EDT
Created attachment 1075010 [details]
File: environ
Comment 4 LiZhenbo 2015-09-18 13:16:02 EDT
Created attachment 1075011 [details]
File: journalctl
Comment 5 LiZhenbo 2015-09-18 13:16:03 EDT
Created attachment 1075012 [details]
File: lsblk_output
Comment 6 LiZhenbo 2015-09-18 13:16:04 EDT
Created attachment 1075013 [details]
File: nmcli_dev_list
Comment 7 LiZhenbo 2015-09-18 13:16:07 EDT
Created attachment 1075014 [details]
File: os_info
Comment 8 LiZhenbo 2015-09-18 13:16:09 EDT
Created attachment 1075015 [details]
File: program.log
Comment 9 LiZhenbo 2015-09-18 13:16:12 EDT
Created attachment 1075016 [details]
File: storage.log
Comment 10 LiZhenbo 2015-09-18 13:16:14 EDT
Created attachment 1075017 [details]
File: ifcfg.log
Comment 11 Fedora End Of Life 2016-11-24 07:32:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2016-12-20 09:40:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.